#! /bin/sh

# jar file
TOOLSET=HanituToolSet.jar

# resolve path
PRG=$0
while [ -h "$PRG" ]; do
    if [ -f "`dirname $PRG`/$TOOLSET" ]; then
        break
    fi
    ls=`ls -ld "$PRG"`
    link=`expr match "$ls" '.*-> \(.*\)$' 2> /dev/null`
    if expr match "$link" '^/' 2> /dev/null > /dev/null; then
        PRG="$link"
    else
        PRG="`dirname "$PRG"`/$link"
    fi
done
PDIR=`dirname "$PRG"`

# java path
JAVA=$PDIR/jre1.8.0_40/bin/java
TOOLSET=$PDIR/$TOOLSET

# file check
[ -n "`which $JAVA`" ] || { >&2 echo cannot excute $JAVA; exit 1; }
[ -f "$TOOLSET" ] || { >&2 echo cannot find $TOOLSET; exit 1; }

# java version check
VERSION=`$JAVA -version 2>&1 | head -n1 | cut -d\" -f2 | cut -d. -f1,2`
[ "$VERSION" = "1.8" ] || { >&2 echo java version require 1.8; exit 1; }
unset VERSION

$JAVA \
    -Dcclo.hanitu.home=$PDIR    \
    -jar $TOOLSET concentration $@
